using DbController;
using Tabletop.Core.Models.Abstract;

namespace Tabletop.Core.Models
{
    public class CaptureZone : ZoneBase
    {
        [CompareField("capturezone_id")]
        public int CaptureZoneId { get; set; }
        [CompareField("points_per_round")]
        public int PointsPerRound { get; set; }

        public override Dictionary<string, object?> GetParameters()
        {
            var baseParams = base.GetParameters();
            baseParams["CAPTUREZONE_ID"] = CaptureZoneId;
            baseParams["POINTS_PER_ROUNDS"] = PointsPerRound;

            return baseParams;
        }
    }
}